<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.auction.mapper.TSTargetMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.auction.entity.TSTarget">
        <id column="targetID" property="targetID" />
        <result column="principalID" property="principalID" />
        <result column="bizseqid" property="bizseqid" />
        <result column="resultID" property="resultID" />
        <result column="catetory" property="catetory" />
        <result column="name" property="name" />
        <result column="draftAuctionPrice" property="draftAuctionPrice" />
        <result column="isCultureRelic" property="isCultureRelic" />
        <result column="cultureRelicDesc" property="cultureRelicDesc" />
        <result column="isNationalAsset" property="isNationalAsset" />
        <result column="nationalAssetDesc" property="nationalAssetDesc" />
        <result column="showDatetimeBegin" property="showDatetimeBegin" />
        <result column="showDatetimeEnd" property="showDatetimeEnd" />
        <result column="showtime" property="showtime" />
        <result column="auctioneerName" property="auctioneerName" />
        <result column="auctioneerLicenseNumber" property="auctioneerLicenseNumber" />
        <result column="description" property="description" />
        <result column="house_id" property="houseId" />
        <result column="auctioneerId" property="auctioneerId" />
        <result column="showLocation" property="showLocation" />
        <result column="lauptime" property="lauptime" />
        <result column="area_code" property="areaCode" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        targetID, principalID, bizseqid, resultID, catetory, name, draftAuctionPrice, isCultureRelic, cultureRelicDesc, isNationalAsset, nationalAssetDesc, showDatetimeBegin, showDatetimeEnd, showtime, auctioneerName, auctioneerLicenseNumber, description, house_id, auctioneerId, showLocation, lauptime, area_code
    </sql>

</mapper>
